Subject: [lmap] I-D Action: draft-ietf-lmap-framework-05.txt

From: [email-masked]
Date: Tue, 13 May 2014 10:21:59 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Large-Scale Measurement of Broadband Performance Working Group of the IETF.

        Title           : A framework for large-scale measurement platforms (LMAP)
        Authors         : Philip Eardley
                          Al Morton
                          Marcelo Bagnulo
                          Trevor Burbridge
                          Paul Aitken
                          Aamer Akhter
	Filename        : draft-ietf-lmap-framework-05.txt
	Pages           : 54
	Date            : 2014-05-13

Abstract:
   Measuring broadband service on a large scale requires a description
   of the logical architecture and standardisation of the key protocols
   that coordinate interactions between the components.  The document
   presents an overall framework for large-scale measurements.  It also
   defines terminology for LMAP (large-scale measurement platforms).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lmap-framework/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-lmap-framework-05

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-lmap-framework-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 15 May 2014 17:16:32 -0700

Dear Authors, et. al,
please find my comments to the latest updates of the LMAP Framework
document below:

   - Use of RFC 2119. Even though the Framework document is on
   Informational track RFC 2119 may be used. Hence my question: Do we want to
   turn 'must' into MUST and so on in the document?
   - Section 3. I think that definition of an Active Measurement Method
   only as "A generalization of an Active Measurement Task" is not
   sufficiently clear. Perhaps the following may be used instead by re-using
   or referring to explanation of Measurement Method:

Active Measurement Method - The process of measuring some performance or
reliability parameter associated with the transfer of Traffic by generating
and/or receiving Active Measurement Traffic.

   - If definition of the Active Measurement Method references use of
   Active Measurement Traffic, then the current definition can be updated to
   explain that Active Measurement Task is realization of Active Measurement
   Method among participating Measurement Agents and Measurement Peers with
   specific parameters, e.g. profile of the Active Measurement Traffic.

And I believe that coordination of Active Measurement Task among
participating MAs and/or MPs is optional. The current definition reads as
it is mandatory. I suggest to change it by splitting the sentence and
making it to say "Coordination of an Active Measurement Task among
participating Measurement Agents and/or Measurement Peers may be achieved
by using protocols. Definition of such protocols by LMAP WG is for further
study."

   - I don't see much difference between Configuration Protocol and Control
   Protocol. I think that the former supports subset of functionality of the
   latter. Besides, it is not clear whether Configuration Protocol uses
   Control Channel between Controller and a MA or not. I think this
   differentiation between Configuration and Control is unnecessary.
   - Reference to "initial LMAP work" may be too vague as charter of the
   LMAP WG will likely to change with time. Can it be changed to "NNN is for
   future study"?
   - Section 5.2 been introduced in this version. Firstly, I don't recall
   that the WG discussed Configuration Protocol and agreed that it is
   essential part of the LMAP Framework. Adding new concepts, IMO, doesn't
   help to pass WG LC.

Regards,
Greg

On Tue, May 13, 2014 at 10:21 AM, <[email-masked]> wrote:

> _______________________________________________
> lmap mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lmap
>

---

From: <[email-masked]>
Date: Wed, 21 May 2014 23:09:55 +0100

Greg,
thanks for the reading!

must vs MUST
initial LMAP work vs for future study

suggest leave both of these issues for the AD /IESG / RFC editor to see what they prefer.

configuration - thanks for spotting, sorry this is my error. it should be something that the Control protocol does.

definition of active measurement method & task. perhaps this could be honed. would like to understand your comment about "coordination is optional" a bit better.
 an active measurement task involves the MA measuring traffic that's been sent by (*) another MA, or a measurement peer. (*) or received from.  there needs to be some kind of coordination to arrange for this traffic to be sent. is the problem that the current words could be read to imply that the coordination must be directly between the MAs, whereas it could be that the controller sends a task/schedule instruction to one MA and a report instruction to another MA (as in example A3 in the appendix)?

thanks
phil

________________________________________
From: lmap [[email-masked]] On Behalf Of Greg Mirsky [[email-masked]]
Sent: 16 May 2014 01:16
To: [email-masked]; [email-masked]
Subject: Re: [lmap] I-D Action: draft-ietf-lmap-framework-05.txt

Dear Authors, et. al,
please find my comments to the latest updates of the LMAP Framework document below:

 *   Use of RFC 2119. Even though the Framework document is on Informational track RFC 2119 may be used. Hence my question: Do we want to turn 'must' into MUST and so on in the document?
 *   Section 3. I think that definition of an Active Measurement Method only as "A generalization of an Active Measurement Task" is not sufficiently clear. Perhaps the following may be used instead by re-using or referring to explanation of Measurement Method:

Active Measurement Method - The process of measuring some performance or reliability parameter associated with the transfer of Traffic by generating and/or receiving Active Measurement Traffic.

 *   If definition of the Active Measurement Method references use of Active Measurement Traffic, then the current definition can be updated to explain that Active Measurement Task is realization of Active Measurement Method among participating Measurement Agents and Measurement Peers with specific parameters, e.g. profile of the Active Measurement Traffic.

And I believe that coordination of Active Measurement Task among participating MAs and/or MPs is optional. The current definition reads as it is mandatory. I suggest to change it by splitting the sentence and making it to say "Coordination of an Active Measurement Task among participating Measurement Agents and/or Measurement Peers may be achieved by using protocols. Definition of such protocols by LMAP WG is for further study."

 *   I don't see much difference between Configuration Protocol and Control Protocol. I think that the former supports subset of functionality of the latter. Besides, it is not clear whether Configuration Protocol uses Control Channel between Controller and a MA or not. I think this differentiation between Configuration and Control is unnecessary.
 *   Reference to "initial LMAP work" may be too vague as charter of the LMAP WG will likely to change with time. Can it be changed to "NNN is for future study"?
 *   Section 5.2 been introduced in this version. Firstly, I don't recall that the WG discussed Configuration Protocol and agreed that it is essential part of the LMAP Framework. Adding new concepts, IMO, doesn't help to pass WG LC.

Regards,
Greg

On Tue, May 13, 2014 at 10:21 AM, <[email-masked]<mailto:[email-masked]>> wrote:

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

_______________________________________________
lmap mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lmap

---

From: Vero Zheng <[email-masked]>
Date: Thu, 29 May 2014 12:04:00 +0000

Dear Authors, et. al,

Please see my comments for the latest version of LMAP framework document below. I also include IPPM WG in the thread since I believe its valuable.

1. Active Measurement Method
I like the way Greg define the Active Measurement Method which I quote below. To me, it is more intuitive to define the method as the process of measuring on traffic than referring to the measurement task.
I also agree that the Active Measurement Traffic could also be updated accordingly. 

2, Passive Measurement Method
The current definition says: Passive Measurement Method (Task)- A Measurement Method (Task) in which a Measurement Agent observes existing traffic but does not inject Active Measurement Traffic.

The word "observe" exclude many existing measurement schemes, which are currently discussed in IPPM, as passive measurement method. My suggestion is to define the Passive Measurement Method as following:

Passive Measurement Method- The process of measuring some performance or reliability parameter associated with the existing traffic on the network.

This definition may need to be honed, but it makes a clear line between active and passive. For active, you are measuring on the injected traffic. For passive, on the other hand, you are measuring on the existing traffic on the network.
The key point for passive measurement, imho, is you are measuring on the REAL traffic on the network. For specific method, you may do something more than just observing. Examples can be found http://tools.ietf.org/html/draft-elkins-ippm-pdm-metrics-04 and http://tools.ietf.org/html/draft-chen-ippm-coloring-based-ipfpm-framework-01. But as long as you are measuring on the existing traffic, your method should be consider as passive.

Another benefit of this definition is it avoids the concept of "pure passive", which has never be properly defined and vague.
Someone may consider these so called not "pure passive" measurement method as hybrid. But in that case the Hybrid Measurement Method itself need to be properly defined first. 
The discussion about hybrid happened in IPPM mainly about how to combining active and passive. It mentions some form of hybrid, such as "combined hybrid" and "concurrent hybrid", which I don't see these example methods fall in any of the category.

People in IPPM is working on the Framework of Passive Measurements, we will submit the document soon. The definition of passive measurements is very important and the coordination between two working group is essential. I believe now is the key time to have both working group looking on it.
I would like the authors consider my suggestion on the definition and encourage discussion in the working group.

BR,
Vero

> -----Original Message-----
> From: lmap [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Thursday, May 22, 2014 6:10 AM
> To: [email-masked]; [email-masked];
> [email-masked]
> configuration - thanks for spotting, sorry this is my error. it should be
> something that the Control protocol does.
> 
> definition of active measurement method & task. perhaps this could be honed.
> would like to understand your comment about "coordination is optional" a bit
> better.
>  an active measurement task involves the MA measuring traffic that's been
> sent by (*) another MA, or a measurement peer. (*) or received from.  there
> needs to be some kind of coordination to arrange for this traffic to be sent. is
> the problem that the current words could be read to imply that the
> coordination must be directly between the MAs, whereas it could be that the
> controller sends a task/schedule instruction to one MA and a report instruction
> to another MA (as in example A3 in the appendix)?
> 
> thanks
> phil
> 
>  *   Use of RFC 2119. Even though the Framework document is on
>  *   Section 3. I think that definition of an Active Measurement Method only
> as "A generalization of an Active Measurement Task" is not sufficiently clear.
> Perhaps the following may be used instead by re-using or referring to
> explanation of Measurement Method:
> 
>  *   If definition of the Active Measurement Method references use of Active
> Measurement Traffic, then the current definition can be updated to explain
> that Active Measurement Task is realization of Active Measurement Method
> among participating Measurement Agents and Measurement Peers with
> participating MAs and/or MPs is optional. The current definition reads as it is
> mandatory. I suggest to change it by splitting the sentence and making it to say
> "Coordination of an Active Measurement Task among participating
> Measurement Agents and/or Measurement Peers may be achieved by using
> protocols. Definition of such protocols by LMAP WG is for further study."
> 
> 
>  *   I don't see much difference between Configuration Protocol and Control
> Protocol. I think that the former supports subset of functionality of the latter.
> Besides, it is not clear whether Configuration Protocol uses Control Channel
> between Controller and a MA or not. I think this differentiation between
> Configuration and Control is unnecessary.
>  *   Reference to "initial LMAP work" may be too vague as charter of the
>  *   Section 5.2 been introduced in this version. Firstly, I don't recall that the
> WG discussed Configuration Protocol and agreed that it is essential part of the
> LMAP Framework. Adding new concepts, IMO, doesn't help to pass WG LC.
> 
> Regards,
> Greg
> 
> 
> On Tue, May 13, 2014 at 10:21 AM,
> <[email-masked]<mailto:[email-masked]>> wrote:
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 29 May 2014 14:16:07 +0200

> The key point for passive measurement, imho, is you are measuring on the REAL traffic on the network. For specific method, you may do something more than just observing. Examples can be found http:…

But what if I have an MA passively measuring traffic that was injected
(perhaps by some other MA) for the purpose of measuring it? Why is
this distinction REAL vs non-REAL useful? And what is the definition
of REAL of "existing traffic" anyway? If I inject measurement traffic
observed by some MA, it is "existing traffic", no?

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Nalini Elkins <[email-masked]>
Date: Thu, 29 May 2014 05:32:40 -0700 (PDT)

Juergen,

I am one of the people working with Vero on the Passive Framework draft.   Your comments are very interesting.  Please see my comments inline.

>>observed by some MA, it is "existing traffic", no?

Yes, point well taken.   The distinction we wanted to make is that the passive measurement technique does not inject traffic.   Other MA's or indeed other devices on the network create traffic for their own purposes, some of which may be performance measurement.  We also wanted to come up with a good definition for passive measurement that would work for all parties.   How is the following?

Passive Measurement Method- The process of measuring some performance or reliability parameter associated with the traffic on the network.   The passive measurement method does not inject traffic for the purposes of measurement. 

/js

_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Thu, 29 May 2014 12:42:41 +0000

/*snip*/
>>> Active Measurement Method - The process of measuring some performance or reliability parameter associated with the transfer of Traffic by generating and/or receiving Active Measurement Traffic.
/*snip*/
>>> Passive Measurement Method- The process of measuring some performance or reliability parameter associated with the existing traffic on the network.
/*snip*/

> Passive Measurement Method- The process of measuring some performance or reliability parameter associated with the traffic on the network.   The passive measurement method does not inject traffic f…

Would that mean that the definition of Active Measurement Method wouldn't involve receiving Active Measurement Traffic, and only generated (injecting)?
Active Measurement Method - The process of measuring some performance or reliability parameter associated with the transfer of traffic by generating Active Measurement Traffic.

Barbara

---

From: Nalini Elkins <[email-masked]>
Date: Thu, 29 May 2014 05:49:22 -0700 (PDT)

/*snip*/
/*snip*/
/*snip*/

>>Active Measurement Method - The process of measuring some performance or reliability parameter associated with the transfer of traffic by generating Active Measurement Traffic.

Indeed, the word "receiving" needs to be a portion of the Active Measurement Method definition.   Thanks!

Nalini

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Thu, 29 May 2014 12:57:35 +0000

?? Receiving does or doesn't need to be a portion of the Active Measurement Method definition?
If a Passive Measurement Method is any method that measures traffic without injecting traffic, doesn't that cover a Measurement Method that measures received traffic?
Barbara

From: Nalini Elkins [mailto:[email-masked]]
Sent: Thursday, May 29, 2014 8:49 AM
To: STARK, BARBARA H; Juergen Schoenwaelder; Vero Zheng
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [lmap] [ippm] I-D Action: draft-ietf-lmap-framework-05.txt

/*snip*/
/*snip*/
/*snip*/

Nalini

---

From: Nalini Elkins <[email-masked]>
Date: Thu, 29 May 2014 06:05:35 -0700 (PDT)

?? Receiving does or doesn’t need to be a portion of the Active Measurement Method definition?
>>If a Passive Measurement Method is any method that measures traffic without injecting traffic, doesn’t that cover a Measurement Method that measures received traffic?

Yes.  But, the "overriding desire", if you will, of the Active Measurement Method is to receive and measure that which it has injected.   Not so for the Passive.

From:Nalini Elkins [mailto:[email-masked]] 

/*snip*/
/*snip*/
/*snip*/

> Yes, point well taken.   The distinction we wanted to make is that the passive measurement technique does not inject traffic.   Other MA's or indeed other devices on the network create traffic for their own purposes, some of which may be performance measurement.
  We also wanted to come up with a good definition for passive measurement that would work for all parties.   How is the following?

 

Nalini

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 29 May 2014 15:08:10 +0200

Here is what we have:

   Passive Measurement Method (Task): A Measurement Method (Task) in
   which a Measurement Agent observes existing traffic but does not
   inject Active Measurement Traffic.

What is wrong with it?

We also have this:

   Active Measurement Method: A generalisation of an Active Measurement
   Task.

   Active Measurement Task: A Measurement Task in which a Measurement
   Agent creates or receives Active Measurement Traffic, by coordinating
   with one or more other Measurement Agents or Measurement Peers using
   protocols outside the initial LMAP work scope.

What is wrong with it?

For symmetry reasons and since it is unclear what 'generalisation'
really means, one could perhaps combine the two:

   Active Measurement Method (Task): A Measurement Method (Task) in
   which a Measurement Agent creates or receives Active Measurement
   Traffic, by coordinating with one or more other Measurement Agents
   or Measurement Peers using protocols outside the initial LMAP work
   scope.

I like the combination (since I like symmetry). But other than that,
I think the definitions are fine (in particular for the purpose of
LMAP).

/js

---

From: Nalini Elkins <[email-masked]>
Date: Thu, 29 May 2014 06:31:00 -0700 (PDT)

The problem is what to consider as "injected traffic".  For example, on many networks, various devices, for their own purposes do PING commands.    So, then does that convert the entire measurement to active?
 
Thanks,

Nalini Elkins
Inside Products, Inc.
(831) 659-8360
www.insidethestack.com

________________________________
 From: marc.ibrahim <[email-masked]>
To: "STARK, BARBARA H" <[email-masked]>; Nalini Elkins <[email-masked]>; Juergen Schoenwaelder <[email-masked]>; Vero Zheng <[email-masked]> 
Cc: "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Thursday, May 29, 2014 6:14 AM
Subject: Re: [lmap] [ippm]   I-D Action: draft-ietf-lmap-framework-05.txt

Hi, 

I think the confusion comes from whether or not to consider individual MA.
For a single MA, measuring existing traffic is passive relatively to this given MA.
But if this traffic was sent from another MA, then the whole method is active since 
somebody has injected traffic.

I think the definitions of active and passive methods are not relative to an MA but to 
all MAs/MPs involved each measurement. If this is the case, "Receiving" is not really 
different from "generating" since an MA will receive and measure what has been 
generated. 

BR,

Marc.

On Thu, 29 May 2014 12:57:35 +0000, STARK, BARBARA H wrote
> ?? Receiving does or doesn't need to be a portion of the Active Measurement 
> Method definition? If a Passive Measurement Method is any method that measures 
> traffic without injecting traffic, doesn't that cover a Measurement Method 
> that measures received traffic? Barbara
> 
reliability parameter associated with the transfer of Traffic by generating and/or 
receiving Active Measurement Traffic.
> >>>
> /*snip*/
> >>> Passive Measurement Method- The process of measuring some performance or 
reliability parameter associated with the existing traffic on the network.
> > Yes, point well taken.   The distinction we wanted to make is that the passive 
measurement technique does not inject traffic.   Other MA's or indeed other devices on 
the network create traffic for their own purposes, some of which may be performance 
measurement.  We also wanted to come up with a good definition for passive measurement 
that would work for all parties.   How is the following?
> 
> > Passive Measurement Method- The process of measuring some performance or reliability 
parameter associated with the traffic on the network.   The passive measurement method 
does not inject traffic for the purposes of measurement.
> 
> >>Would that mean that the definition of Active Measurement Method wouldn't involve 
receiving Active Measurement Traffic, and only generated (injecting)?
> >>Active Measurement Method - The process of measuring some performance or reliability 
parameter associated with the transfer of traffic by generating Active Measurement 
Traffic.

--
Open WebMail Project (http://openwebmail.org
)

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 29 May 2014 15:36:28 +0200

On Thu, May 29, 2014 at 04:24:01PM +0300, marc. ibrahim wrote:
> According to the current Passive Measurement Method definition, an MA observing an 
> active traffic measurement sent to it is performing a passive task. But in the same time 
> it is an active task according the active definition.
> 
> As I said in my previous mail, the definitions should not be relative to a single MA.
> 

I believe, for LMAP the definitions are good enough. In particular for
a passive/active measurement _task_ since tasks are executed by MAs.
It seems you want to separate out passive/active measurement _method_,
right? So what is the concrete proposal? 

/js

---

From: Nalini Elkins <[email-masked]>
Date: Thu, 29 May 2014 06:42:40 -0700 (PDT)

Two comments on this:

1.  I believe the charter of IPPM is wider than LMAP:

"The IP Performance Metrics (IPPM) Working Group develops and maintains standard metrics that can be applied to the quality, performance, and reliability of Internet data delivery services and applications running
over transport layer protocols (e.g. TCP, UDP) over IP."

So, unless we are thinking of "Measurement Agent" in the abstract, then IMHO, the definition of Passive (and actually Active!) should not be tied at the hip to LMAP.

2.  I believe that measurement techniques which piggyback a header (hjttp://datatracker.ietf.org/doc/draft-elkins-ippm-pdm-metrics/) or coloring (http://tools.ietf.org/html/draft-chen-ippm-coloring-based-ipfpm-framework-01) are validly passive techniques since they do not inject traffic.  But, the word "observes" might preclude such methods.

Thanks,

Nalini Elkins
Inside Products, Inc.
(831) 659-8360
www.insidethestack.com

________________________________
From: Juergen Schoenwaelder <[email-masked]>
To: "[email-masked]" <[email-masked]> 
Cc: "[email-masked]" <[email-masked]> 
Sent: Thursday, May 29, 2014 6:08 AM
Subject: [lmap] active and passive measurement method / task definition

Here is what we have:

What is wrong with it?

We also have this:

What is wrong with it?

/js

---

From: "marc.ibrahim" <[email-masked]>
Date: Thu, 29 May 2014 17:06:03 +0300

Juergen,

I am just trying to discuss what I felt is unclear in the definitions.
Let me give a practical example from a project i'm doing.
We have MA1 sending UDP traffic to MA2. MA2 will receive UDP packet and compute jitter. 
This is clearly an active measurement task for MA1.
What is unclear for me is how to define MA2 tasks.
Is it just one active task consisting in receiving packets from MA1 and computing 
jitter, or two tasks:

- One active task consisting in receiving the active traffic generated by MA1, 
- One passive task consisting in measuring jitter for the udp flow. It is passive 
according to the definition since MA2 does not generate the observed flow. 

BR,
Marc.

On Thu, 29 May 2014 15:36:28 +0200, Juergen Schoenwaelder wrote

--
Open WebMail Project (http://openwebmail.org)

---

From: KEN KO <[email-masked]>
Date: Thu, 29 May 2014 14:17:38 +0000

I agree with Marc's comments, e.g., a Measurement Method is Active if any MA involved in the measurement is generating measurement traffic. And yes, PING is an Active Measurement Method.

However, traffic measured by a Passive Method can easily include measurement traffic generated by an unrelated Active Method. In this context for instance, a Measurement Method that does nothing but count received packets is still Passive, even if some of those packets are due to unrelated PINGs (or throughput tests, etc.).

From: lmap [mailto:[email-masked]] On Behalf Of Nalini Elkins
Sent: Thursday, May 29, 2014 9:31 AM
To: marc.ibrahim; STARK, BARBARA H; Juergen Schoenwaelder; Vero Zheng
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [lmap] [ippm] I-D Action: draft-ietf-lmap-framework-05.txt

Thanks,

Nalini Elkins
Inside Products, Inc.
(831) 659-8360
www.insidethestack.com<http://www.insidethestack.com>

________________________________
From: marc.ibrahim <[email-masked]<mailto:[email-masked]>>
To: "STARK, BARBARA H" <[email-masked]<mailto:[email-masked]>>; Nalini Elkins <[email-masked]<mailto:[email-masked]>>; Juergen Schoenwaelder <[email-masked]<mailto:[email-masked]>>; Vero Zheng <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>; "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>; "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, May 29, 2014 6:14 AM
Subject: Re: [lmap] [ippm] I-D Action: draft-ietf-lmap-framework-05.txt

Hi,

BR,

Marc.

> From: Nalini Elkins [mailto:[email-masked]<mailto:[email-masked]>]
> Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>

--
Open WebMail Project (http://openwebmail.org<http://openwebmail.org/>
)

---

From: Charles Cook <[email-masked]>
Date: Thu, 29 May 2014 08:24:19 -0600

I agree with Ken's/Marc's comments on this.
Charles

On 5/29/2014 8:17 AM, KEN KO wrote:
>
> I agree with Marc's comments, e.g., a Measurement Method is Active if
> any MA involved in the measurement is generating measurement traffic.
> And yes, PING is an Active Measurement Method.
>
>  
>
> However, traffic measured by a Passive Method can easily include
> measurement traffic generated by an unrelated Active Method. In this
> context for instance, a Measurement Method that does nothing but count
> received packets is still Passive, even if some of those packets are
> due to unrelated PINGs (or throughput tests, etc.).
>
>                                                                                                                                                                                                                                                         
>
>
> *From:*lmap [mailto:[email-masked]] *On Behalf Of *Nalini Elkins
> *Sent:* Thursday, May 29, 2014 9:31 AM
> *To:* marc.ibrahim; STARK, BARBARA H; Juergen Schoenwaelder; Vero Zheng
> *Cc:* [email-masked]; [email-masked];
> [email-masked]
> *Subject:* Re: [lmap] [ippm] I-D Action: draft-ietf-lmap-framework-05.txt
>
>  
>
> The problem is what to consider as "injected traffic".  For example,
> on many networks, various devices, for their own purposes do PING
> commands.    So, then does that convert the entire measurement to active?
>
>  
>
> Thanks,
>
>  
>
> Nalini Elkins
> Inside Products, Inc.
> (831) 659-8360
> www.insidethestack.com <http://www.insidethestack.com>
>
>  
>
> ------------------------------------------------------------------------
>
> *From:*marc.ibrahim <[email-masked]
> <mailto:[email-masked]>>
> *To:* "STARK, BARBARA H" <[email-masked] <mailto:[email-masked]>>;
> Nalini Elkins <[email-masked]
> <mailto:[email-masked]>>; Juergen Schoenwaelder
> <[email-masked]
> <mailto:[email-masked]>>; Vero Zheng
> <[email-masked] <mailto:[email-masked]>>
> *Cc:* "[email-masked] <mailto:[email-masked]>" <[email-masked]
> <mailto:[email-masked]>>; "[email-masked] <mailto:[email-masked]>"
> <[email-masked] <mailto:[email-masked]>>;
> "[email-masked]
> <mailto:[email-masked]>"
> <[email-masked]
> <mailto:[email-masked]>>
> *Sent:* Thursday, May 29, 2014 6:14 AM
> *Subject:* Re: [lmap] [ippm] I-D Action: draft-ietf-lmap-framework-05.txt
>
>
> Hi,
>
> > From: Nalini Elkins [mailto:[email-masked]
> <mailto:[email-masked]>]
> > Cc: [email-masked]
> <mailto:[email-masked]>; [email-masked]
> <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> > Indeed, the word "receiving" needs to be a portion of the Active
> Measurement
> > Method definition.  Thanks!
> >
> > Nalini
> >
> > [email-masked] <mailto:[email-masked]><mailto:[email-masked]
> <mailto:[email-masked]>>
>
>
> Open WebMail Project (http://openwebmail.org <http://openwebmail.org/>
>
> )
>
>  
>
>
>

-- 

Charles Cook 
Principal Architect
Network
5325 Zuni Street; Suite 224
Denver, CO  80221
Tel:  303.992.8952  Fax:  925.281.0662
[email-masked]

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Thu, 29 May 2014 15:01:38 +0000

I still have questions. I feel there's still ambiguity and overlap in proposed definitions. My main goal is to get rid of ambiguity and overlap.

One thing I read in Marc's email was:

This is clearly an active measurement task for MA1.
This to me suggests an idea that Active Measurement Method (or Task, which so far has been defined as an instantiation of a Method) doesn't need to actually measure anything at all. It just needs to generate (inject) Active Measurement Traffic. It may or may not measure any performance or reliability parameters. That is, there was no description of MA1 measuring the UDP traffic it sent to MA2, as a qualifier for identifying this as an Active Measurement Task.

Looking at PING again. Let's consider a system where there is a MA (A) generating a PING message, receiving a response message, and calculating the time between these 2 events, an MA (B) receiving the PING and generating a response, and an MA (C) that is in between A and B and counts the number of PING messages it sees. What I think I'm reading is:

1.       A is doing an Active Measurement Task.

2.       B is doing an Active Measurement Task. [Note that B hasn't measured anything.]

3.       C is doing a Passive Measurement Task.
If the above is correct, I'd be fine with that.

So here's a multiple choice question for y'all:
B starts counting received PING messages. Select the correct answer from those below, or invent a different answer.

1.       B's counting of received PINGs is a new Passive Measurement Task, unrelated to the PING responding Task.

2.       B's counting of received PINGs is part of the existing Active Measurement Task that involves responding to PINGs.

3.       B's counting of received PINGs is part of a new Active Measurement Task, unrelated to the PING responding Task.

4.       All of the above could be true, depending on how the Measurement Methods are defined.

5.       1 or 2 could be true, depending on how the Measurement Methods are defined.

Barbara

From: KEN KO [mailto:[email-masked]]
Sent: Thursday, May 29, 2014 10:18 AM
To: Nalini Elkins; marc.ibrahim; STARK, BARBARA H; Juergen Schoenwaelder; Vero Zheng
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [lmap] [ippm] I-D Action: draft-ietf-lmap-framework-05.txt

Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

Thanks,

Nalini Elkins
Inside Products, Inc.
(831) 659-8360

Hi,

BR,

Marc.

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 29 May 2014 08:57:46 -0700

Hi Barbara,
if we look into the proposed definition of the Active Measurement Method
>>> Active Measurement Method - The process of measuring some performance
or reliability parameter associated with the transfer of Traffic by
generating and/or receiving Active Measurement Traffic.
it does include receiving Active Measurement Traffic. I think that
clarifies the question Juergen asked earlier in the discussion. IMO,
observing active traffic, i.e. traffic injected by an MA, is still an
example of active measurement.

Regards,
Greg

On Thu, May 29, 2014 at 5:42 AM, STARK, BARBARA H <[email-masked]> wrote:

>
> /*snip*/
> >>> Active Measurement Method - The process of measuring some performance
> or reliability parameter associated with the transfer of Traffic by
> generating and/or receiving Active Measurement Traffic.
> >>>
> /*snip*/
> >>> Passive Measurement Method- The process of measuring some performance
> or reliability parameter associated with the existing traffic on the
> network.
> /*snip*/
>
> > Yes, point well taken.   The distinction we wanted to make is that the
> passive measurement technique does not inject traffic.   Other MA's or
> indeed other devices on the network create traffic for their own purposes,
> some of which may be performance measurement.  We also wanted to come up
> with a good definition for passive measurement that would work for all
> parties.   How is the following?
>
> reliability parameter associated with the traffic on the network.   The
> passive measurement method does not inject traffic for the purposes of
> measurement.
>
> Would that mean that the definition of Active Measurement Method wouldn't
> involve receiving Active Measurement Traffic, and only generated
> (injecting)?
> reliability parameter associated with the transfer of traffic by generating
> Active Measurement Traffic.
>
> Barbara
>

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 29 May 2014 08:59:45 -0700

Hi Nalini,
or reliability parameter associated with the transfer of Traffic by
generating *and/or receiving* Active Measurement Traffic.

Thank you for your support.

Regards,
Greg

On Thu, May 29, 2014 at 5:49 AM, Nalini Elkins <
[email-masked]> wrote:

> >>Would that mean that the definition of Active Measurement Method
> wouldn't involve receiving Active Measurement Traffic, and only generated
> (injecting)?
> Measurement Method definition.   Thanks!
>
> Nalini
>
>

---

From: Nalini Elkins <[email-masked]>
Date: Thu, 29 May 2014 09:07:32 -0700 (PDT)

Barbara,

In my opinion:

1.       B’s counting of received PINGs is a new Passive Measurement Task, unrelated to the PING responding Task.
 
Thanks,

Nalini Elkins
Inside Products, Inc.
(831) 659-8360
www.insidethestack.com

________________________________
 From: "STARK, BARBARA H" <[email-masked]>
To: KEN KO <[email-masked]>; Nalini Elkins <[email-masked]>; marc.ibrahim <[email-masked]>; Juergen Schoenwaelder <[email-masked]>; Vero Zheng <[email-masked]> 
Cc: "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Thursday, May 29, 2014 8:01 AM
Subject: RE: [lmap] [ippm]   I-D Action: draft-ietf-lmap-framework-05.txt

I still have questions. I feel there’s still ambiguity and overlap in proposed definitions. My main goal is to get rid of ambiguity and overlap.
 
One thing I read in Marc’s email was:
We have MA1 sending UDP traffic to MA2. MA2 will receive UDP packet and compute jitter. 
This is clearly an active measurement task for MA1.
This to me suggests an idea that Active Measurement Method (or Task, which so far has been defined as an instantiation of a Method) doesn’t need to actually measure anything at all. It just needs to generate (inject) Active Measurement Traffic. It may or may not measure any performance or reliability parameters. That is, there was no description of MA1 measuring the UDP traffic it sent to MA2, as a qualifier for identifying this as an Active Measurement Task.
 
Looking at PING again. Let’s consider a system where there is a MA (A) generating a PING message, receiving a response message, and calculating the time between these 2 events, an MA (B) receiving the PING and generating a response, and an MA (C) that is in between A and B and counts the number of PING messages it sees. What I think I’m reading is:
1.       A is doing an Active Measurement Task.
2.       B is doing an Active Measurement Task. [Note that B hasn’t measured anything.]
3.       C is doing a Passive Measurement Task.
If the above is correct, I’d be fine with that.
 
So here’s a multiple choice question for y’all:
B starts counting received PING messages. Select the correct answer from those below, or invent a different answer.
1.       B’s counting of received PINGs is a new Passive Measurement Task, unrelated to the PING responding Task.
2.       B’s counting of received PINGs is part of the existing Active Measurement Task that involves responding to PINGs.
3.       B’s counting of received PINGs is part of a new Active Measurement Task, unrelated to the PING responding Task.
4.       All of the above could be true, depending on how the Measurement Methods are defined.
5.       1 or 2 could be true, depending on how the Measurement Methods are defined.
 
Barbara
 
From:KEN KO [mailto:[email-masked]] 
 
I agree with Marc’s comments, e.g., a Measurement Method is Active if any MA involved in the measurement is generating measurement traffic. And yes, PING is an Active Measurement Method.

From:lmap [mailto:[email-masked]] On Behalf Of Nalini Elkins

Thanks,
 
Nalini Elkins
Inside Products, Inc.
(831) 659-8360
www.insidethestack.com

From:marc.ibrahim <[email-masked]>

Hi, 

BR,

Marc.

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Thu, 29 May 2014 16:14:17 +0000

> But if this traffic was sent from another MA, then the whole method is active
> since somebody has injected traffic.
> 
> I think the definitions of active and passive methods are not relative to an
> MA but to all MAs/MPs involved each measurement. If this is the case,
> "Receiving" is not really different from "generating" since an MA will receive
> and measure what has been generated.

I'm not sure if it's confusion so much as it is the term ippm needs vs. the term lmap needs. Lmap looks at the world from the perspective of the MA, and from the perspective of the operation systems. Ippm looks at the world from the perspective of metrics (and what needs to happen to generate the metrics).

Lmap needs terms that describe (generally and as a specific instantiation of the general term) what an MA does to accomplish its role in the term that ippm needs.
It sounds like Ippm needs a term to describe holistically what is involved in generation of a particular metric.

Using the same term (Measurement Method or its Measurement Task instantiation) as both the MA functional role and as the holistic metric generation method (task) is problematic. These need to be distinct terms.

In the context of the ippm registry, we really need registry entries to provide specifics for configuring each MA role that is part of the holistic system needed for the metric.

So if Measurement Method / Task describe the holistic technique, then lmap needs new terms. If Measurement Method / Task describe an MA's specific role, then ippm needs new terms for the holistic technique (and holistic instantiations of that technique).
Barbara

---

From: KEN KO <[email-masked]>
Date: Thu, 29 May 2014 16:12:49 +0000

I'll play. Inline ...

>Looking at PING again. Let's consider a system where there is a MA (A) 
>generating a PING message, receiving a response message, and calculating the 
>time between these 2 events, an MA (B) receiving the PING and generating a 
>response, and an MA (C) that is in between A and B and counts the number of PING 
>messages it sees. What I think I'm reading is:

I agree with all three points.

>5. 1 or 2 could be true, depending on how the Measurement Methods are defined.

IMO the correct answer is 5, with the following detail:

- If the original Active Measurement Method specifies that B is to count received PINGs, then the answer is 2.
- If the original Active Measurement Method does not specify the counting (e.g., it is a 'vanilla' PING), then the answer is 1.

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 29 May 2014 09:33:36 -0700

Hi Ken,
I agree with the point Marc and you have brought up. I think that to
differentiate whether articular method is Active or Passive may require
introduction of a Measurement Domain object as set of cooperating MAs and
MPs. Then measuring *explicitly* traffic that been injected by MA(s) in the
same Measurement Domain would be Active Measurement Method/Task. But
measuring on overall traffic even if that *may include* injected traffic,
IMO, would be Passive Measurement Method/Task.

Regards,
Greg

On Thu, May 29, 2014 at 7:17 AM, KEN KO <[email-masked]> wrote:

>  I agree with Marc’s comments, e.g., a Measurement Method is Active if
> any MA involved in the measurement is generating measurement traffic. And
> yes, PING is an Active Measurement Method.
>
>
>
> received packets is still Passive, even if some of those packets are due to
> unrelated PINGs (or throughput tests, etc.).
>
>
>
>
> *From:* lmap [mailto:[email-masked]] *On Behalf Of *Nalini Elkins
> The problem is what to consider as "injected traffic".  For example, on
> many networks, various devices, for their own purposes do PING commands.
>  So, then does that convert the entire measurement to active?
>
>
>
> Thanks,
>
>
>
> Nalini Elkins
> Inside Products, Inc.
> (831) 659-8360
> www.insidethestack.com
>
>
>    ------------------------------
>
> *From:* marc.ibrahim <[email-masked]>
> *To:* "STARK, BARBARA H" <[email-masked]>; Nalini Elkins <
> [email-masked]>; Juergen Schoenwaelder <
> [email-masked]>; Vero Zheng <[email-masked]>
> *Cc:* "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]>; "
> [email-masked]" <
> [email-masked]>
> passive
> or reliability
> wouldn't involve
> or reliability

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 29 May 2014 09:40:36 -0700

Hi Barbara,
I think that if MA C counts only PINGs generated by A and B, then it is
still Active Measurement Task. If MA C counts any PING it sees, then I'd
consider it performing Passive Measurement in Measurement Domain that
includes MAs A, B, and C.
On the second set of questions:
I agree with #3

Regards,
Greg

On Thu, May 29, 2014 at 8:01 AM, STARK, BARBARA H <[email-masked]> wrote:

>  I still have questions. I feel there’s still ambiguity and overlap in
> proposed definitions. My main goal is to get rid of ambiguity and overlap.
>
>
>
> This to me suggests an idea that Active Measurement Method (or Task, which
> so far has been defined as an instantiation of a Method) doesn’t need to
> actually measure anything at all. It just needs to generate (inject) Active
> Measurement Traffic. It may or may not measure any performance or
> reliability parameters. That is, there was no description of MA1 measuring
> the UDP traffic it sent to MA2, as a qualifier for identifying this as an
> Active Measurement Task.
>
>
>
> Looking at PING again. Let’s consider a system where there is a MA (A)
> generating a PING message, receiving a response message, and calculating
> the time between these 2 events, an MA (B) receiving the PING and
> generating a response, and an MA (C) that is in between A and B and counts
> the number of PING messages it sees. What I think I’m reading is:
>
> B starts counting received PING messages. Select the correct answer from
> those below, or invent a different answer.
>
> 1.       B’s counting of received PINGs is a new Passive Measurement
> Task, unrelated to the PING responding Task.
>
> 2.       B’s counting of received PINGs is part of the existing Active
> Measurement Task that involves responding to PINGs.
>
> 3.       B’s counting of received PINGs is part of a new Active
> Measurement Task, unrelated to the PING responding Task.
>
> *From:* KEN KO [mailto:[email-masked]]
> *Sent:* Thursday, May 29, 2014 10:18 AM
> *To:* Nalini Elkins; marc.ibrahim; STARK, BARBARA H; Juergen
> Schoenwaelder; Vero Zheng
> *Subject:* RE: [lmap] [ippm] I-D Action: draft-ietf-lmap-framework-05.txt
>
>
>
> I agree with Marc’s comments, e.g., a Measurement Method is Active if any
> MA involved in the measurement is generating measurement traffic. And yes,
> PING is an Active Measurement Method.
>
>
>
> *From:* lmap [mailto:[email-masked] <[email-masked]>] *On
> Behalf Of *Nalini Elkins

---

From: KEN KO <[email-masked]>
Date: Thu, 29 May 2014 16:43:54 +0000

I have always viewed Measurement Method/Task as independent from the viewpoint of a specific MA - holistic, if you will. I would support any necessary terminology that clarifies that definition.

Even if we all accept the above interpretation, I don't think we need new terms in lmap. The 'initiating' MA's operational role should be fully defined by the configuration and scheduling of a Measurement Task. Any other MAs roles are communicated to them by the initiating MA, either in the form of messages (eg, http GET) or something more specific to the Measurement Method - again, fully defined via the configuration of the Task. Do we really need something new?

> From: ippm [mailto:[email-masked]] On Behalf Of STARK, BARBARA
> H
> Sent: Thursday, May 29, 2014 12:14 PM
> To: marc.ibrahim; Nalini Elkins; Juergen Schoenwaelder; Vero Zheng
> Cc: [email-masked]; [email-masked]
> Subject: Re: [ippm] [lmap] I-D Action: draft-ietf-lmap-framework-05.txt
> 
> > But if this traffic was sent from another MA, then the whole method is
> > active since somebody has injected traffic.
> >
> > I think the definitions of active and passive methods are not relative
> > to an MA but to all MAs/MPs involved each measurement. If this is the
> > case, "Receiving" is not really different from "generating" since an
> > MA will receive and measure what has been generated.
> 
> I'm not sure if it's confusion so much as it is the term ippm needs vs. the term
> lmap needs. Lmap looks at the world from the perspective of the MA, and
> from the perspective of the operation systems. Ippm looks at the world from
> the perspective of metrics (and what needs to happen to generate the
> metrics).
> 
> Lmap needs terms that describe (generally and as a specific instantiation of
> the general term) what an MA does to accomplish its role in the term that
> ippm needs.
> Using the same term (Measurement Method or its Measurement Task
> instantiation) as both the MA functional role and as the holistic metric
> generation method (task) is problematic. These need to be distinct terms.
> 
> In the context of the ippm registry, we really need registry entries to provide
> specifics for configuring each MA role that is part of the holistic system
> needed for the metric.
> 
> So if Measurement Method / Task describe the holistic technique, then lmap
> needs new terms. If Measurement Method / Task describe an MA's specific
> role, then ippm needs new terms for the holistic technique (and holistic
> instantiations of that technique).
> Barbara
> 
>

---

From: "marc.ibrahim" <[email-masked]>
Date: Thu, 29 May 2014 19:59:18 +0300

On Thu, 29 May 2014 16:43:54 +0000, KEN KO wrote
> I have always viewed Measurement Method/Task as independent from the viewpoint 
> of a specific MA - holistic, if you will. I would support any necessary 
> terminology that clarifies that definition.
> 
> Even if we all accept the above interpretation, I don't think we need new 
> terms in lmap. The 'initiating' MA's operational role should be fully defined 
> by the configuration and scheduling of a Measurement Task. Any other MAs roles 
> are communicated to them by the initiating MA, either in the form of messages 
> (eg, http GET) or something more specific to the Measurement Method - again, 
> fully defined via the configuration of the Task. Do we really need something new?

I agree with this view. I tend to say that the task transcends individual MA.

In a simple A-B ping example, it is a single task initiated by A that is executing an 
active task that has been instructed by the controller, while B is just "participating" 
in the task. I don't see that we can we talk about a task being executed by B. Is 
replying to a ping a full task that can be instructed and scheduled by the controller? I 
don't see that. 

BR,

Marc.

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Thu, 29 May 2014 17:19:33 +0000

> In a simple A-B ping example, it is a single task initiated by A that is executing
> an active task that has been instructed by the controller, while B is just
> "participating"
> in the task. I don't see that we can we talk about a task being executed by B.
> Is replying to a ping a full task that can be instructed and scheduled by the
> controller? I don't see that.

I think it would be possible to schedule B to only respond to pings at certain times of day. Responding to ping is something that can be enabled/disabled. In which case it can be enabled and disabled according to a schedule. The enabling/disabling of B's ability to respond to pings can be completely and totally distinct from any schedules that involve B initiating ping -- they are 2 distinct roles. Configuration of these roles is also distinct (responding may not require any configuration other than the schedule, or it could be configured to only respond to pings from certain IP addresses). It may even be that an MA only has the ability to initiate ping and never respond, or vice versa.

I very much believe that from the MA perspective (lmap), it is critical that we be able to talk about the MA's role in a holistic technique. I also believe that the MA can have a passive role (does not generate measurement traffic) or an active role (generates measurement traffic) independent of how ippm may choose to characterize the holistic technique.
Barbara

---

From: KEN KO <[email-masked]>
Date: Thu, 29 May 2014 18:15:58 +0000

Barbara,

I agree with most of what you are saying.

Measurement Methods can be complex and can create different roles for different MAs, and it is very possible for each MA to be configured only with its own role. There may be Methods for which MA A could participate with MAs B and C without a priori knowledge of their roles, and get completely different yet equally proper responses from each of them. I hadn't considered this and it contradicts my earlier comment (which I rescind) about the initiating MA having all information relevant to a Task.

Having said all that, I still don't see the need for a new term beyond the language we have already used - that is, each MA's role in executing a Task.

While we're at it, we might want to consider the above scenario with regard to the draft Information Model. Can we currently configure a Task as being triggered by something other than a Schedule - in response to an external stimulus like a message from a remote MA? I think we can:
- One or more ma-task-options objects within ma-task-obj specifies the non-Schedule conditions under which the Task is initiated. Unless Schedule-based initiation is also desired, the Measurement Task Configuration would not be referenced in a local Schedule.

However, I don't see this addressed explicitly in either the framework or the information model, and if this behavior is in scope I think it needs language for clarity.

The other area you touch on (unilateral exceptions where, for instance, a MA does not respond to MAs outside a configured address range) seems equally valid, and I'm more open to a new term  to describe it. Does "exceptions" fit the bill?

Ken

> From: STARK, BARBARA H [mailto:[email-masked]]
> Sent: Thursday, May 29, 2014 1:20 PM
> To: marc.ibrahim; KEN KO; Nalini Elkins; Juergen Schoenwaelder; Vero Zheng
> Cc: [email-masked]; [email-masked]
> > In a simple A-B ping example, it is a single task initiated by A that
> > is executing an active task that has been instructed by the
> > controller, while B is just "participating"
> > Is replying to a ping a full task that can be instructed and scheduled
> > by the controller? I don't see that.
> 
> I think it would be possible to schedule B to only respond to pings at certain
> times of day. Responding to ping is something that can be enabled/disabled.
> In which case it can be enabled and disabled according to a schedule. The
> enabling/disabling of B's ability to respond to pings can be completely and
> totally distinct from any schedules that involve B initiating ping -- they are 2
> distinct roles. Configuration of these roles is also distinct (responding may not
> require any configuration other than the schedule, or it could be configured
> to only respond to pings from certain IP addresses). It may even be that an
> MA only has the ability to initiate ping and never respond, or vice versa.
> 
> I very much believe that from the MA perspective (lmap), it is critical that we
> be able to talk about the MA's role in a holistic technique. I also believe that
> the MA can have a passive role (does not generate measurement traffic) or
> an active role (generates measurement traffic) independent of how ippm
> may choose to characterize the holistic technique.
> Barbara

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Thu, 29 May 2014 21:26:14 +0000

> Measurement Methods can be complex and can create different roles for
> different MAs, and it is very possible for each MA to be configured only with
> its own role. There may be Methods for which MA A could participate with
> MAs B and C without a priori knowledge of their roles, and get completely
> different yet equally proper responses from each of them. I hadn't
> considered this and it contradicts my earlier comment (which I rescind) about
> the initiating MA having all information relevant to a Task.
> 
> Having said all that, I still don't see the need for a new term beyond the
> language we have already used - that is, each MA's role in executing a Task.

I'm becoming ever more strongly convinced that either ippm or lmap needs a new term -- I don't care which. But my reading of framework and the information model is that what lmap is calling a Measurement Method and Measurement Task is related to the specific role the MA plays in the holistic technique. The MA absolutely does not need to know what other roles do or how they are configured. It doesn't care what they do. It only knows what it has to do. I think this is also important to understand in the design of the registry -- if there is some metric in the registry that requires proper configuration of multiple roles, the registry needs to be able to express what the proper configuration is for each distinct role. As a compromise (since many seem to want Measurement Method to be the holistic technique) maybe we should use Measurement Method for the holistic technique (and ippm can define that, because it's not really central to lmap), Measurement Method Role for the role of the Measurement Method that is implemented on a MA, and Measurement Task is an instantiation of a Measurement Method Role (which means a Task is *not* an instantiation of the Measurement Method -- which assumes ippm doesn't need a term for an instantiation of the holistic technique). Then lmap can have a Measurement Method Active Role that generates measurement traffic and may measure parameters, and a Measurement Method Passive Role that does not generate traffic and measures parameters. Ippm can define if there're such things as Active or Passive Measurement Methods. In lmap, we really only need to care about whether the role is active or passive, and not how the holistic technique is characterized. 

> While we're at it, we might want to consider the above scenario with regard
> to the draft Information Model. Can we currently configure a Task as being
> triggered by something other than a Schedule - in response to an external
> stimulus like a message from a remote MA? I think we can:
> - One or more ma-task-options objects within ma-task-obj specifies the non-
> Schedule conditions under which the Task is initiated. Unless Schedule-based
> initiation is also desired, the Measurement Task Configuration would not be
> referenced in a local Schedule.

I thought we'd discussed the possibility of a schedule that had no end time/date? Which could effectively schedule a Measurement Task to always be "on" and awaiting a trigger.

> However, I don't see this addressed explicitly in either the framework or the
> information model, and if this behavior is in scope I think it needs language
> for clarity.

Agreed. I think it would be useful to describe. After we get our terms straightened out (again).
 
> The other area you touch on (unilateral exceptions where, for instance, a MA
> does not respond to MAs outside a configured address range) seems equally
> valid, and I'm more open to a new term  to describe it. Does "exceptions" fit
> the bill?

I think this is just configuration. I think it's likely that most every Measurement Method "role" will have some configuration elements that are expected to stay relatively fixed. The MA will probably come with defaults for these. I think this can be part of the bootstrapped configuration that may be changed by the Controller.

Barbara

---

From: Mach Chen <[email-masked]>
Date: Fri, 30 May 2014 03:36:00 +0000

Hi Greg and all,

I totally agree with Greg’s point here. I like the idea of “Measurement Domain object”.

Best regards,
Mach

From: ippm [mailto:[email-masked]] On Behalf Of Greg Mirsky
Sent: Friday, May 30, 2014 12:34 AM
To: KEN KO
Cc: [email-masked]; marc.ibrahim; [email-masked]; [email-masked]
Subject: Re: [ippm] [lmap] I-D Action: draft-ietf-lmap-framework-05.txt

Hi Ken,
I agree with the point Marc and you have brought up. I think that to differentiate whether articular method is Active or Passive may require introduction of a Measurement Domain object as set of cooperating MAs and MPs. Then measuring explicitly traffic that been injected by MA(s) in the same Measurement Domain would be Active Measurement Method/Task. But measuring on overall traffic even if that may include injected traffic, IMO, would be Passive Measurement Method/Task.
Regards,
Greg

On Thu, May 29, 2014 at 7:17 AM, KEN KO <[email-masked]<mailto:[email-masked]>> wrote:
I agree with Marc’s comments, e.g., a Measurement Method is Active if any MA involved in the measurement is generating measurement traffic. And yes, PING is an Active Measurement Method.

From: lmap [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Nalini Elkins
Sent: Thursday, May 29, 2014 9:31 AM
To: marc.ibrahim; STARK, BARBARA H; Juergen Schoenwaelder; Vero Zheng
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

Thanks,

Nalini Elkins
Inside Products, Inc.
(831) 659-8360<tel:%28831%29%20659-8360>
www.insidethestack.com<http://www.insidethestack.com>

Hi,

BR,

Marc.

---

From: Mach Chen <[email-masked]>
Date: Fri, 30 May 2014 03:45:36 +0000

Hi Greg,

IMHO, whether C is doing Active or Passive is dependent on whether it belongs to the same Measurement Instance of A and B. If it is, then it is Active, otherwise Passive.

Best regards,
Mach

From: ippm [mailto:[email-masked]] On Behalf Of Greg Mirsky
Sent: Friday, May 30, 2014 12:41 AM
To: STARK, BARBARA H
Cc: marc.ibrahim; [email-masked]; [email-masked]
Subject: Re: [ippm] [lmap] I-D Action: draft-ietf-lmap-framework-05.txt

Hi Barbara,
I think that if MA C counts only PINGs generated by A and B, then it is still Active Measurement Task. If MA C counts any PING it sees, then I'd consider it performing Passive Measurement in Measurement Domain that includes MAs A, B, and C.
On the second set of questions:
I agree with #3
Regards,
Greg

On Thu, May 29, 2014 at 8:01 AM, STARK, BARBARA H <[email-masked]<mailto:[email-masked]>> wrote:
I still have questions. I feel there’s still ambiguity and overlap in proposed definitions. My main goal is to get rid of ambiguity and overlap.

Barbara

From: KEN KO [mailto:[email-masked]<mailto:[email-masked]>]

Thanks,

Nalini Elkins
Inside Products, Inc.

Hi,

BR,

Marc.

_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 29 May 2014 22:34:29 -0700

Hi Mach,
yes, I agree. In my thinking I implicitly thought that selecting specific
traffic flow for measurement is one of characteristics of being part of
Measurement Domain/Instance. That may be so, but I expect that it could be
not complete to define/identify the Measurement Domain/Instance.

Regards,
Greg

On Thu, May 29, 2014 at 8:45 PM, Mach Chen <[email-masked]> wrote:

>  Hi Greg,
>
>
>
> IMHO, whether C is doing Active or Passive is dependent on whether it
> belongs to the same Measurement Instance of A and B. If it is, then it is
> Active, otherwise Passive.
>
>
>
> Best regards,
>
> Mach
>
>
>
> *From:* ippm [mailto:[email-masked]] *On Behalf Of *Greg Mirsky
> *Sent:* Friday, May 30, 2014 12:41 AM
> *To:* STARK, BARBARA H
> *Cc:* marc.ibrahim; [email-masked]; [email-masked]
>
> *Subject:* Re: [ippm] [lmap] I-D Action: draft-ietf-lmap-framework-05.txt
>
>
>
> Hi Barbara,
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 30 May 2014 08:07:52 +0200

> according to the definition since MA2 does not generate the observed flow. 

Since tasks are local to an MA, there are clearly two tasks
involved. And if a classification is necessary (I do not know why),
then one could be active and the other passive. My preference however
is to design things such that a such a classification is not really
necessary.

/js

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 30 May 2014 08:23:59 +0200

On Thu, May 29, 2014 at 09:26:14PM +0000, STARK, BARBARA H wrote:
> 
> I'm becoming ever more strongly convinced that either ippm or lmap
> needs a new term -- I don't care which. But my reading of framework
> and the information model is that what lmap is calling a Measurement
> Method and Measurement Task is related to the specific role the MA
> plays in the holistic technique. 

[...]

> As a compromise (since many seem to want Measurement Method to be
> the holistic technique) maybe we should use Measurement Method for
> the holistic technique (and ippm can define that, because it's not
> really central to lmap), Measurement Method Role for the role of the
> Measurement Method that is implemented on a MA, and Measurement Task
> is an instantiation of a Measurement Method Role (which means a Task
> is *not* an instantiation of the Measurement Method -- which assumes
> ippm doesn't need a term for an instantiation of the holistic
> technique).

Perhaps this is a way to go. But then, I am not sure why Measurement
Role is needed either. For LMAP, it may be sufficient to just talk
about Measurement Tasks.

The word 'method' does not show up at all in the information model.
In the framework document, 'method' is used in many places but it
seems in some places it really should be 'task', in others 'method'
may be appropriate if we read it with a more holistic view. It seems
making this distinction will make the framework clearer.

While searching through the text, I did not see a need to define
'Measurement Method Role' as a new term.

/js

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Thu, 29 May 2014 18:06:25 -0400

Long thread today...

I think it ended-up in a productive place, a logical examination
of a realistic scenario and whether the framework and (more importantly)
the Information Model have the flexibility to instantiate it 
( A - C - B hosts observing  or performing ICMP echo req/replies).
It's a similar concept to one we examined in IPPM and wrote about: 
http://tools.ietf.org/html/rfc5644

The key factor in determining the type of measurement in this RFC was the
a priori knowledge of the packet (or stream) from the source.
Packet loss could be measured at  mid-point  "C"(and subsequent points)
because the measurement system knew when packets were sent from "A"
could distinguish between different packets of the same stream, and knew 
how long to wait for them. 

Once we are satisfied that the Information Model allows the needed flexibility
for control, it would be good to take another step: The Information Model
depends on the Performance Metrics Registry, which we have split into
active and passive sub-registries. If the observations you want to make at
mid-point "C" can be supported with a metric from the passive registry,
that's input to the measurement categorization. If not, try the active registry.
If the active and/or passive registries support some important scenarios, 
then we've come a long way.

regards,
Al

________________________________________
From: ippm [[email-masked]] On Behalf Of KEN KO [[email-masked]]
Sent: Thursday, May 29, 2014 2:15 PM
To: STARK, BARBARA H; marc.ibrahim; Nalini Elkins; Juergen Schoenwaelder; Vero Zheng; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [ippm] [lmap] I-D Action: draft-ietf-lmap-framework-05.txt

Barbara,

Ken

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Fri, 30 May 2014 07:36:37 +0000

> From: lmap [mailto:[email-masked]] On Behalf Of STARK, BARBARA H
> Sent: Friday, May 30, 2014 12:26 AM
> To: KEN KO; marc.ibrahim; Nalini Elkins; Juergen Schoenwaelder; Vero Zheng;
> [email-masked]; [email-masked]
> > different MAs, and it is very possible for each MA to be configured
> > only with its own role. There may be Methods for which MA A could
> > participate with MAs B and C without a priori knowledge of their
> > roles, and get completely different yet equally proper responses from
> > each of them. I hadn't considered this and it contradicts my earlier
> > comment (which I rescind) about the initiating MA having all information
> relevant to a Task.
> >
> > Having said all that, I still don't see the need for a new term beyond
> > the language we have already used - that is, each MA's role in executing a
> Task.
> 
> I'm becoming ever more strongly convinced that either ippm or lmap needs a
> new term -- I don't care which. But my reading of framework and the
> information model is that what lmap is calling a Measurement Method and
> Measurement Task is related to the specific role the MA plays in the holistic
> technique. The MA absolutely does not need to know what other roles do or
> how they are configured. It doesn't care what they do. It only knows what it
> has to do. I think this is also important to understand in the design of the
> registry -- if there is some metric in the registry that requires proper
> configuration of multiple roles, the registry needs to be able to express what
> the proper configuration is for each distinct role. As a compromise (since
> many seem to want Measurement Method to be the holistic technique)
> maybe we should use Measurement Method for the holistic technique (and
> ippm can define that, because it's not really central to lmap), Measurement
> Method Role for the role of the Meas  urement Method that is implemented
> on a MA, and Measurement Task is an instantiation of a Measurement
> Method Role (which means a Task is *not* an instantiation of the
> Measurement Method -- which assumes ippm doesn't need a term for an
> instantiation of the holistic technique). Then lmap can have a Measurement
> Method Active Role that generates measurement traffic and may measure
> parameters, and a Measurement Method Passive Role that does not
> generate traffic and measures parameters. Ippm can define if there're such
> things as Active or Passive Measurement Methods. In lmap, we really only
> need to care about whether the role is active or passive, and not how the
> holistic technique is characterized.
> 

Hi Barbara.

Doesn't become too complicated? What is the difference between the Measurement Method Role and Measurement Task and why do we need the two distinct terms? Maybe it would help if you can provide a definition of Measurement Method Role because I frankly cannot compile ' Measurement Task is an instantiation of a Measurement Method Role', in other words why do we need a generic term and an instantiation? 

Thanks and Regards,

Dan
(speaking as contributor)

---

From: <[email-masked]>
Date: Fri, 30 May 2014 09:26:21 +0100

On active vs. passive I think it really is about viewpoint rather than absolutes. i.e. the ping example is active if I have set up the pings, but passive if they were set up by someone else for a different purpose.

However, I have to echo Juergen's point below - I do think we should be able to design the framework and information model to be agnostic to whether a test is passive or active.

Trevor.

>From: ippm [mailto:[email-masked]] On Behalf Of Juergen
>Schoenwaelder
>Sent: 30 May 2014 07:08
>To: marc. ibrahim
>Subject: Re: [ippm] [lmap] active and passive measurement method / task
>definition
>
>> Is it just one active task consisting in receiving packets from MA1
>> and computing jitter, or two tasks:
>>
>> - One passive task consisting in measuring jitter for the udp flow. It
>> is passive according to the definition since MA2 does not generate the observed
>flow.
>>
>
>Since tasks are local to an MA, there are clearly two tasks involved. And if a
>classification is necessary (I do not know why), then one could be active and the
>other passive. My preference however is to design things such that a such a
>classification is not really necessary.
>
>/js
>
>--

---

From: 邓灵莉/Lingli Deng <[email-masked]>
Date: Fri, 30 May 2014 18:24:50 +0800

Hi Al,

I agree with you on all your points, except the use of the word "observation" for passive measurement.
More inline.

> a priori knowledge of the packet (or stream) from the source.
[邓灵莉/Lingli Deng] Support. From the perspective of an MP performing a passive task, it has to do the measurement without any reliance on the prior knowledge from the source about the targeted traffic (when to expect it, how long and how large it would be, etc.). While in contrast, there is an active traffic generator in any active measurement task acting as the source, to ensure the participating MPs measures metrics for targeted traffic with known characteristics. 

> how long to wait for them.
[邓灵莉/Lingli Deng] There are also passive measurement methods, which can measure packet loss at mid-point by doing a little more than pure observation.
Examples include http://tools.ietf.org/html/draft-elkins-ippm-pdm-metrics-04 and http://tools.ietf.org/html/draft-chen-ippm-coloring-based-ipfpm-framework-01 (where the IP header is being marked/appended by an upstream MP to coordinate with the downstream MP for measurement on existing traffic and no traffic is injected for the purpose of measurement therefore no prior knowledge other than the appended/markded information piggybacked to the targeted traffic can be assumed for any participating MP).
> then we've come a long way.
[邓灵莉/Lingli Deng] I would like it more if the word "observation" is replaced by "measurement".
It gives two implications which I think Vero and Nalini wanted to avoid by raising the discussion in the first place.
1, It gives one the impression that a passive measurement task is always performed by an individual MP and does not need any coordination from outside. 
2, An MP doing passive measurement is not supposed to "touch" the traffic, but only "observes" them, in which case packet loss can hardly be measured.

Given the fact that "passive measurement" has a lot of possibilities more than pure observation, I echo Vero and Nalini that one should cease using "observation" as an synonym for passive measurement.

Lingli

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Fri, 30 May 2014 09:51:49 -0400

Hi Lingli,

For a long time, we've had an enormous number of 
measurement system implementations
that were either purely active or purely passive.
In a real way, active and passive are at opposite
ends of a continuum**, where you have the 

- all the problems of disturbing the network conditions
- all the advantages of knowing what was sent and when

with injected traffic, what we call active metrics and measurement,
and the exact opposite situation with passive (none of 
the problems and none of the advantages).

Recently there are new techniques like Nalini and Mike's PDM
which you cite below (and I find very interesting).
I believe these techniques, and others folks have mentioned,
lie somewhere between pure active and pure passive.

It's important to me (and possibly others) to anchor our 
terminology with both common use and dictionary meaning,
so I use the term "observe" with the pure passive category.
If your technique does more than observe (and analyze, where 
you could combine observations from multiple points, etc.) 
then the technique is in-between the extremes, IMO.

regards,
Al

** we might draw this as a 2D-space, active and passive would be
at opposite corners.

> From: 邓灵莉/Lingli Deng [mailto:[email-masked]]
> Sent: Friday, May 30, 2014 6:25 AM
> To: MORTON, ALFRED C (AL); 'KEN KO'; STARK, BARBARA H; 'marc.ibrahim';
> 'Nalini Elkins'; 'Juergen Schoenwaelder'; 'Vero Zheng';
> [邓灵莉/Lingli Deng] Support. From the perspective of an MP performing a
> passive task, it has to do the measurement without any reliance on the
> prior knowledge from the source about the targeted traffic (when to expect
> it, how long and how large it would be, etc.). While in contrast, there is
> an active traffic generator in any active measurement task acting as the
> source, to ensure the participating MPs measures metrics for targeted
> traffic with known characteristics.
> 
> [邓灵莉/Lingli Deng] There are also passive measurement methods, which can
> measure packet loss at mid-point by doing a little more than pure
> observation.
> Examples include http://tools.ietf.org/html/draft-elkins-ippm-pdm-metrics-
> 04 and http://tools.ietf.org/html/draft-chen-ippm-coloring-based-ipfpm-
> framework-01 (where the IP header is being marked/appended by an upstream
> MP to coordinate with the downstream MP for measurement on existing
> traffic and no traffic is injected for the purpose of measurement
> therefore no prior knowledge other than the appended/markded information
> piggybacked to the targeted traffic can be assumed for any participating
> MP).
> >
> It gives two implications which I think Vero and Nalini wanted to avoid by
> raising the discussion in the first place.
> 1, It gives one the impression that a passive measurement task is always
> performed by an individual MP and does not need any coordination from
> outside.
> 2, An MP doing passive measurement is not supposed to "touch" the traffic,
> but only "observes" them, in which case packet loss can hardly be
> measured.
> >
> 
> Given the fact that "passive measurement" has a lot of possibilities more
> than pure observation, I echo Vero and Nalini that one should cease using
> "observation" as an synonym for passive measurement.
> 
> Lingli
> 
> 
>

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Fri, 30 May 2014 14:21:05 +0000

[resending with fewer To recipients.]

> > Doesn't become too complicated? What is the difference between the
> > Measurement Method Role and Measurement Task and why do we need
> the
> > two distinct terms? Maybe it would help if you can provide a
> > definition of Measurement Method Role because I frankly cannot compile
> > ' Measurement Task is an instantiation of a Measurement Method Role',
> > in other words why do we need a generic term and an instantiation?
> 
> The information model says:
>    The Measurement Task Configuration will include ...  a registry
>    entry [I-D....-ippm-...] that defines the Measurement
>    Task.  The MA itself will resolve the registry entry to a local
>    executable program.  In addition the Measurement Task is specialised
>    through a set of configuration Options.  The nature and number of
>    these Options will depend upon the Measurement Task and will be
>    defined in the Measurement Task Registry.
> 
> So the information-model makes the Measurement Task an instantiation of a
> local executable program. But how does the Controller learn about what
> registry entries the MA is capable of resolving to local executable programs?
> That is, how does the Controller know what local executable programs exist
> on the MA? I had thought this would be part of the capabilities that get
> reported to the Controller by the MA. Bu the ma-capability object has some
> distinct other undefined measurement-id urn and doesn't provide the
> Controller with any list of registry entries that the MA is capable of resolving.
> Hopefully, this is just something that needs to be fixed in the information-
> model, and not an intentional lack of relationship between ma-capability and
> ma-task (or ma-task-registry).
> 
> Anyway, information-model says (wrt capability reporting) that "Capabilities
> include ... the set of Measurement Tasks that are actually installed or
> available on the MA." This, to me, is a problematic statement. Now, not only
> is the term Measurement Task being used to describe an instantiation of a
> local executable program with a specific set of values for input parameters
> (ma-task-options<0..*>) and perhaps a particular cycle id (ma-task-cycle-id)
> with a pointer to the local executable program (ma-task-registry), the term is
> also being used as synonymous with the local executable program.
> 
> I do not think that "Measurement Task" should be used as another name for
> the local executable program. I would like to see this fixed. It would also
> appear that the ma-capability object is supposed to be the object that
> provides the information regarding these local executable programs that are
> installed/available on the MA. But the word "capabilities" is also said to
> include interface details. So "local executable programs" is a subset of
> "capabilities" (which means "capabilities" is also not an appropriate word to
> use to just mean "local executable programs").
> 
> So do these "local executable programs" need a better name, so we aren't
> tempted to call them "Measurement Task"? Or maybe we can just call them
> "Local Executable Programs" and define them as functionality in a MA that
> allows the MA to perform a specific role of a Measurement Method. And
> Measurement Task is an instantiation of a Local Executable Program. Because
> Measurement Task is definitely not an instantiation of the holistic
> Measurement Method. The ping initiator Local Executable Program can be
> completely distinct from the ping responder Local Executable Program. And it
> often is.
> Barbara

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Fri, 30 May 2014 14:14:38 +0000

> the two distinct terms? Maybe it would help if you can provide a definition of
> Measurement Method Role because I frankly cannot compile ' Measurement
> Task is an instantiation of a Measurement Method Role', in other words why
> do we need a generic term and an instantiation?

So the information-model makes the Measurement Task an instantiation of a local executable program. But how does the Controller learn about what registry entries the MA is capable of resolving to local executable programs? That is, how does the Controller know what local executable programs exist on the MA? I had thought this would be part of the capabilities that get reported to the Controller by the MA. Bu the ma-capability object has some distinct other undefined measurement-id urn and doesn't provide the Controller with any list of registry entries that the MA is capable of resolving. Hopefully, this is just something that needs to be fixed in the information-model, and not an intentional lack of relationship between ma-capability and ma-task (or ma-task-registry). 

Anyway, information-model says (wrt capability reporting) that "Capabilities include ... the set of Measurement Tasks that are actually installed or available on the MA." This, to me, is a problematic statement. Now, not only is the term Measurement Task being used to describe an instantiation of a local executable program with a specific set of values for input parameters (ma-task-options<0..*>) and perhaps a particular cycle id (ma-task-cycle-id) with a pointer to the local executable program (ma-task-registry), the term is also being used as synonymous with the local executable program. 

I do not think that "Measurement Task" should be used as another name for the local executable program. I would like to see this fixed. It would also appear that the ma-capability object is supposed to be the object that provides the information regarding these local executable programs that are installed/available on the MA. But the word "capabilities" is also said to include interface details. So "local executable programs" is a subset of "capabilities" (which means "capabilities" is also not an appropriate word to use to just mean "local executable programs"). 

So do these "local executable programs" need a better name, so we aren't tempted to call them "Measurement Task"? Or maybe we can just call them "Local Executable Programs" and define them as functionality in a MA that allows the MA to perform a specific role of a Measurement Method. And Measurement Task is an instantiation of a Local Executable Program. Because Measurement Task is definitely not an instantiation of the holistic Measurement Method. The ping initiator Local Executable Program can be completely distinct from the ping responder Local Executable Program. And it often is.
Barbara

---

From: "Bajpai, Vaibhav" <[email-masked]>
Date: Fri, 30 May 2014 15:42:18 +0000

>   defined in the Measurement Task Registry.

The framework document [1] makes the measurement method refer to the IPPM metrics registries.
The information model (IM) [2] on the other hand, makes the measurement task refer to the 
IPPM metrics registries. If we really want to use both Measurement Method and Measurement Task 
terminologies, perhaps we need to update the IM to adhere better to the framework document:

   object {
       string              ma-method-name;
       urn                 ma-method-registry;
       ma-task-obj         ma-task-obj<0..*>;
   } ma-method-obj; 

   object {
       string              ma-task-name;
       string              ma-task-options<0..*>;
      [string              ma-task-cycle-id;]
   } ma-task-obj; 

> So the information-model makes the Measurement Task an instantiation of a local executable program. But how does the Controller learn about what registry entries the MA is capable of resolving to l…

I also think so:

   object {
       urn                 ma-measurement-id;
      [string              ma-measurement-version;]
       ma-task-obj         ma-task-obj<0..*>;
   } ma-capability-obj;

The ma-tasks<0...*> objects sent in the instruction object will now be subset of the
the ma-tasks<0…*> objects sent by the MA.

> So do these "local executable programs" need a better name, so we aren't tempted to call them "Measurement Task"? Or maybe we can just call them "Local Executable Programs”

A locally executable program can be any program (for e.g. ls) within the MA, no? 
Shouldn’t we restrict the terminology to programs that do measurements?

> and define them as functionality in a MA that allows the MA to perform a specific role of a Measurement Method. And Measurement Task is an instantiation of a Local Executable Program. Because Measurement Task is definitely not an instantiation of the holistic Measurement Method. The ping initiator Local Executable Program can be completely distinct from the ping responder Local Executable Program. And it often is.
> Barbara

[1] http://tools.ietf.org/html/draft-ietf-lmap-framework-05
[2] http://tools.ietf.org/html/draft-ietf-lmap-information-model-00

Best, Vaibhav

-----------------------------------------------------
Vaibhav Bajpai

Research I, Room 86
Computer Networks and Distributed Systems  (CNDS) Lab
School of Engineering and Sciences
Jacobs University Bremen, Germany

www.vaibhavbajpai.com

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Fri, 30 May 2014 12:17:13 -0400

> From: lmap [mailto:[email-masked]] On Behalf Of Bajpai, Vaibhav
> Sent: Friday, May 30, 2014 11:42 AM
> 
...
>       [string              ma-task-cycle-id;]

The new IPPM registry entries are called "Registered Performance Metrics",
or "Registered Metrics" for simplicity,
and entries contain references to metric definitions, references to methods
of measurement, and lots of information not found in references such 
as input parameter settings.  Also, we have confirmation that IANA will
support a full URI = URL + URN for each entry.

If we true-up names, let's try to accommodate the registry aspect, too.

regards,
Al